Legacy cards are not officially being supported by EDIUS Pro 8/9 anymore. Nevertheless they work without a problem with EDIUS 8 (however not with EDIUS 9) if the latest drivers (see below) of EDIUS 7 are applied (without official support):


Please note that HD Spark and HD Spark Pro is still supported by EDIUS 8 and EDIUS 9.